#basic
effect give @a instant_health 2 100 true
clear @a ender_pearl

#nether star
execute as @a[scores={y=99..}] at @s unless entity @s[nbt={Inventory:[{id:"minecraft:nether_star"}]}] run replaceitem entity @s hotbar.8 minecraft:nether_star{display:{Name:'{"text":"Drop Me","color":"yellow","italic":false}',Lore:['{"text":"Teleports you to","color":"dark_purple","italic":false}','{"text":"the settings area","color":"dark_purple","italic":false}']}} 1
execute as @a[scores={y=..98}] at @s unless entity @s[nbt={Inventory:[{id:"minecraft:nether_star"}]}] run replaceitem entity @s hotbar.8 minecraft:nether_star{display:{Name:'{"text":"Drop Me","color":"yellow","italic":false}',Lore:['{"text":"Teleports you to","color":"dark_purple","italic":false}','{"text":"the play area","color":"dark_purple","italic":false}']}} 1

execute as @e[type=item,nbt={Item:{id:"minecraft:nether_star"}}] at @s run playsound minecraft:entity.enderman.teleport master @p ~ ~ ~ 10 1
execute as @e[type=item,nbt={Item:{id:"minecraft:nether_star"}}] at @s run tag @p add nether_star
execute as @e[type=item,nbt={Item:{id:"minecraft:nether_star"}}] at @s if entity @p[distance=..2,scores={y=99..}] run teleport @p 0 95 0 0 10
execute as @e[type=item,nbt={Item:{id:"minecraft:nether_star"}}] at @s if entity @p[distance=..2,scores={y=..98}] run teleport @p 0 101 0 0 10
execute as @e[type=item,nbt={Item:{id:"minecraft:nether_star"}}] at @s run clear @a[tag=nether_star] nether_star
tag @a[tag=nether_star] remove nether_star
kill @e[type=item,nbt={Item:{id:"minecraft:nether_star"}}]

#start
execute as @e[type=area_effect_cloud,name=startm] at @s if entity @a[distance=..1] run scoreboard players set level stats 1
execute as @e[type=area_effect_cloud,name=jstart] at @s if entity @a[distance=..1] run scoreboard players set level stats 2
execute as @e[type=area_effect_cloud,name=ostart] at @s if entity @a[distance=..1] run scoreboard players set level stats 3
execute as @e[type=area_effect_cloud,name=cstart] at @s if entity @a[distance=..1] run scoreboard players set level stats 4
execute as @e[type=area_effect_cloud,name=dstart] at @s if entity @a[distance=..1] run scoreboard players set level stats 5
execute as @e[type=area_effect_cloud,name=nstart] at @s if entity @a[distance=..1] run scoreboard players set level stats 6
execute as @e[type=area_effect_cloud,name=istart] at @s if entity @a[distance=..1] run scoreboard players set level stats 7
execute as @e[type=area_effect_cloud,name=estart] at @s if entity @a[distance=..1] run scoreboard players set level stats 8

execute if score level stats matches 1 run teleport @e[type=minecraft:area_effect_cloud,name=current_level] -23 92 0 90 0
execute if score level stats matches 2 run teleport @e[type=minecraft:area_effect_cloud,name=current_level] -19 92 -19 135 0
execute if score level stats matches 3 run teleport @e[type=minecraft:area_effect_cloud,name=current_level] -1 92 -23 180 0
execute if score level stats matches 4 run teleport @e[type=minecraft:area_effect_cloud,name=current_level] 19 92 -19 -135 0
execute if score level stats matches 5 run teleport @e[type=minecraft:area_effect_cloud,name=current_level] 23 92 0 -90 0
execute if score level stats matches 6 run teleport @e[type=minecraft:area_effect_cloud,name=current_level] 19 92 19 -45 0
execute if score level stats matches 7 run teleport @e[type=minecraft:area_effect_cloud,name=current_level] 0 92 23 0 0
execute if score level stats matches 8 run teleport @e[type=minecraft:area_effect_cloud,name=current_level] -19 92 19 45 0

execute if score level stats matches 1.. run function sette:start

#dust
particle minecraft:dust 0 1 0 0.6 -8 101.2 -11 0.25 0.1 0.25 0.5 5
particle minecraft:dust 0 1 1 0.6 -3 101.2 10 0.25 0.1 0.25 0.5 5
particle minecraft:dust 1 1 0 0.6 13 101.2 -3 0.25 0.1 0.25 0.5 5

tag @a[x=13,y=101,z=-3,dx=0,dy=0,dz=0] add yellow_dust
tag @a[x=-8,y=101,z=-11,dx=0,dy=0,dz=0] add green_dust
tag @a[x=-3,y=101,z=10,dx=0,dy=0,dz=0] add blue_dust

scoreboard players set @a[x=13,y=101,z=-3,dx=0,dy=0,dz=0] dust 50
scoreboard players set @a[x=-8,y=101,z=-11,dx=0,dy=0,dz=0] dust 50
scoreboard players set @a[x=-3,y=101,z=10,dx=0,dy=0,dz=0] dust 50

effect give @a[x=13,y=101,z=-3,dx=0,dy=0,dz=0] speed 2 1 true
effect give @a[x=-8,y=101,z=-11,dx=0,dy=0,dz=0] speed 2 1 true
effect give @a[x=-3,y=101,z=10,dx=0,dy=0,dz=0] speed 2 1 true

scoreboard players remove @a[scores={dust=1..}] dust 1

execute as @a[scores={dust=1..},tag=yellow_dust] at @s run particle minecraft:dust 1 1 0 1.1 ~ ~0.15 ~ 0.15 0.1 0.25 0.5 10
execute as @a[scores={dust=1..},tag=blue_dust] at @s run particle minecraft:dust 0 1 1 1.1 ~ ~0.15 ~ 0.15 0.1 0.25 0.5 10
execute as @a[scores={dust=1..},tag=green_dust] at @s run particle minecraft:dust 0 1 0 1.1 ~ ~0.15 ~ 0.15 0.1 0.25 0.5 10

tag @a[scores={dust=0}] remove yellow_dust
tag @a[scores={dust=0}] remove green_dust
tag @a[scores={dust=0}] remove blue_dust

#triggers
execute as @a[scores={info=1}] run tellraw @s ["",{"text":"<Objective> In Biome Run the goal is to complete the parkour course as fast as you can! You can race against friends or practice on your own.","color":"aqua"}]
execute as @a[scores={info=2}] run tellraw @s ["",{"text":"<Cosmetics> When you complete a level for the first time you unlock a hat, particle or sound effect!","color":"aqua"}]
execute as @a[scores={info=3}] run tellraw @s ["",{"text":"<What's Biome Run 2?> Biome Run 2 is a complete revamp of my original map with new levels, cosmetics and more!","color":"aqua"}]
execute as @a[scores={info=4}] run tellraw @s ["",{"text":"<Credits>","color":"aqua"},{"text":"\n"},{"text":"Supersette ","color":"dark_aqua"},{"text":"- Project Lead","color":"aqua"},{"text":"\n"},{"text":"Chumbleweasel ","color":"dark_aqua"},{"text":"- Design","color":"aqua"},{"text":"\n"},{"text":"PurpleCrystal02 ","color":"dark_aqua"},{"text":"- Additional Design","color":"aqua"}]
execute as @a[scores={info=1..}] run function sette:lobby/info

#info
scoreboard players set @a[scores={info=1..}] info 0

#important scoreboard resets
scoreboard players reset * deaths
scoreboard players reset * loop
scoreboard players reset * minutes
scoreboard players reset * seconds

