execute if score game stats matches 1 run function sette:ingame
execute if score game stats matches 0 run function sette:lobby

#basic
effect give @a saturation 1000000 100 true
clear @a flint_and_steel
kill @e[type=tnt]
team join player @a[team=!creator,team=!helper]

#player count
execute store result score playerCount stats if entity @a[gamemode=!spectator]

#joins
execute unless score game stats matches 1 run tellraw @a[tag=!joined] ["",{"text":"Welcome to Biome Run 2 ","color":"dark_aqua"},{"selector":"@a[tag=!joined]","color":"dark_aqua"},{"text":"!","color":"dark_aqua"},{"text":"\n"},{"text":" > Drop your Nether Star to reach the settings area","color":"aqua"},{"text":"\n"},{"text":" > Go through a portal to begin playing","color":"aqua"}]
playsound minecraft:entity.firework_rocket.launch master @a[tag=!joined] ~ ~ ~ 1000 1.5
execute as @a[tag=!joined] if score game stats matches 1 unless score practice stats matches 1 run function sette:game/leave
execute as @a[tag=!joined] if score game stats matches 1 if score practice stats matches 1 run function sette:game/practice_leave
execute if score game stats matches 0 run gamemode adventure @a[tag=!joined]

tag @a[tag=!joined] add joined
 
#creator
execute as @a[team=creator] run effect give @a weakness 1000000 100 true
execute as @a[team=helper] run effect give @a weakness 1000000 100 true
team join creator Supersette
team join creator Chumbleweasel
team join creator PurpleCrystal02
team join helper Chopper2112
tag Jbip add bone
tag @a[team=creator] add bone
scoreboard players enable @a[team=creator] jump_boost
scoreboard players enable @a[team=creator] invisibility
scoreboard players enable @a[team=creator] clear
execute as @a[scores={invisibility=1}] run effect give @a invisibility 300 1 true
execute as @a[scores={jump_boost=1}] run effect give @s jump_boost 300 1 true
execute as @a[scores={jump_boost=2}] run effect give @s jump_boost 300 2 true
execute as @a[scores={jump_boost=3}] run effect give @s jump_boost 300 3 true
execute as @a[scores={jump_boost=4}] run effect give @s jump_boost 300 10 true
execute as @a[scores={clear=1..}] run effect clear @a
scoreboard players set @a[scores={jump_boost=1..}] jump_boost 0
scoreboard players set @a[scores={invisibility=1..}] invisibility 0
scoreboard players set @a[scores={clear=1..}] clear 0

#get Y value
execute as @a store result score @s y run data get entity @s Pos[1]

#leave
execute as @a[scores={leave=1..}] at @s if score game stats matches 1 unless score practice stats matches 1 run function sette:game/leave
execute as @a[scores={leave=1..}] at @s if score game stats matches 1 unless score practice stats matches 0 run function sette:game/practice_leave
execute as @a[scores={leave=1..}] at @s unless score game stats matches 1 run function sette:lobby/leave

scoreboard players reset @a[scores={leave=1..}] leave

#portal particles
particle minecraft:mycelium 13 103 -13 1 1 1 10 5
particle minecraft:firework 16 103 0 0.5 1 1 0 1
particle minecraft:portal -13 103 13 0.5 1 0.5 1 3
particle minecraft:totem_of_undying -13 103 -13 1 2 1 0 2
particle minecraft:cloud 0 103 17 1 1 1 0 3
particle flame 13 103 13 1 1.5 1 0.01 2
particle minecraft:cloud 0 96 111 2.5 3 10 0.3 20
particle minecraft:dripping_water 0.57 102.5 -16.00 1.5 1 0.5 0 2 normal
particle minecraft:spit -16 104 0 0.3 0.5 2 0 1

#health and time
function sette:health

#particles
function sette:lobby/cosmetic/particles

#sign cooldown
scoreboard players remove @a[scores={sign=1..}] sign 1

#kill hats
kill @e[type=item,nbt={Item:{id:"minecraft:smooth_stone"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:turtle_shell"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:glass"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:jack_o_lantern"}}]

#clear elytra
execute unless score level stats matches 8 run clear @a elytra

#button with bone head (yes it's a sort of easter egg for some special testers)
execute if block -5 96 -2 stone_button[powered=true] at @e[type=armor_stand,name=PurpleCrystal02] run replaceitem entity @p[tag=bone,scores={y=94..96},distance=..4] armor.head bone

