#timer
scoreboard players operation seconds stats = $seconds stats
scoreboard players operation minutes stats = $minutes stats

#basic
scoreboard players set game stats 1
teleport @a @e[type=minecraft:area_effect_cloud,name=current_level,limit=1]
execute as @a at @s run playsound minecraft:block.note_block.pling master @s ~ ~ ~ 5 2
execute as @a at @s run spawnpoint @s ~ ~ ~

#drowning in ocean
execute if score level stats matches 3 run scoreboard objectives setdisplay sidebar drown

#practice mode
execute if score practice stats matches 1 run gamerule naturalRegeneration true
execute if score practice stats matches 1 run gamerule fallDamage false
execute if score practice stats matches 0 run gamerule fallDamage true

#tellraw
execute if score playerCount stats matches ..3 if score level stats matches 1 run tellraw @a ["",{"text":"Have fun ","bold":true,"color":"gold"},{"selector":"@a[gamemode=adventure]","color":"green"},{"text":"!","bold":true,"color":"gold"}]
execute if score playerCount stats matches ..3 if score level stats matches 2 run tellraw @a ["",{"text":"Have fun ","bold":true,"color":"dark_green"},{"selector":"@a[gamemode=adventure]","color":"green"},{"text":"!","bold":true,"color":"dark_green"}]
execute if score playerCount stats matches ..3 if score level stats matches 3 run tellraw @a ["",{"text":"Have fun ","bold":true,"color":"blue"},{"selector":"@a[gamemode=adventure]","color":"green"},{"text":"!","bold":true,"color":"blue"}]
execute if score playerCount stats matches ..3 if score level stats matches 4 run tellraw @a ["",{"text":"Have fun ","bold":true,"color":"dark_grey"},{"selector":"@a[gamemode=adventure]","color":"green"},{"text":"!","bold":true,"color":"dark_gray"}]
execute if score playerCount stats matches ..3 if score level stats matches 5 run tellraw @a ["",{"text":"Have fun ","bold":true,"color":"yellow"},{"selector":"@a[gamemode=adventure]","color":"green"},{"text":"!","bold":true,"color":"yellow"}]
execute if score playerCount stats matches ..3 if score level stats matches 6 run tellraw @a ["",{"text":"Have fun ","bold":true,"color":"red"},{"selector":"@a[gamemode=adventure]","color":"green"},{"text":"!","bold":true,"color":"red"}]
execute if score playerCount stats matches ..3 if score level stats matches 7 run tellraw @a ["",{"text":"Have fun ","bold":true,"color":"aqua"},{"selector":"@a[gamemode=adventure]","color":"green"},{"text":"!","bold":true,"color":"aqua"}]
execute if score playerCount stats matches ..3 if score level stats matches 8 run tellraw @a ["",{"text":"Have fun ","bold":true,"color":"dark_purple"},{"selector":"@a[gamemode=adventure]","color":"green"},{"text":"!","bold":true,"color":"dark_purple"}]

execute if score playerCount stats matches 4.. if score level stats matches 1 run tellraw @a ["",{"text":"Have fun everyone!","bold":true,"color":"gold"}]
execute if score playerCount stats matches 4.. if score level stats matches 2 run tellraw @a ["",{"text":"Have fun everyone!","bold":true,"color":"dark_green"}]
execute if score playerCount stats matches 4.. if score level stats matches 3 run tellraw @a ["",{"text":"Have fun everyone!","bold":true,"color":"blue"}]
execute if score playerCount stats matches 4.. if score level stats matches 4 run tellraw @a ["",{"text":"Have fun everyone!","bold":true,"color":"dark_gray"}]
execute if score playerCount stats matches 4.. if score level stats matches 5 run tellraw @a ["",{"text":"Have fun everyone!","bold":true,"color":"yellow"}]
execute if score playerCount stats matches 4.. if score level stats matches 6 run tellraw @a ["",{"text":"Have fun everyone!","bold":true,"color":"red"}]
execute if score playerCount stats matches 4.. if score level stats matches 7 run tellraw @a ["",{"text":"Have fun everyone!","bold":true,"color":"aqua"}]
execute if score playerCount stats matches 4.. if score level stats matches 8 run tellraw @a ["",{"text":"Have fun everyone!","bold":true,"color":"dark_purple"}]

#scoreboard reset
scoreboard players reset * info

#force respawn in practice mode
execute if score practice stats matches 1 if score respawn stats matches 0 run function sette:lobby/respawn